scores:
  general:
    exam_mode:
      no: 0
      bad: 1
      yes: 2

  teaching:
    math_input:
      no: 0
      hidden_option: 1
      yes: 2
    pretty_print:
      no: 0
      hidden_option: 1
      yes: 2
    symbolic_calculus:
      none: 0
      Q: 1
      QPiRac: 2
      cas: 3
    cas:
      none: 0
      eigenmath: 1
      khicas_fx: 2
      khicas_cg: 2
      native: 3

  programming:
    casio_basic:
      native: 0
    add_ins:
      none: 0
      no_sdk: 0
      vendor_only: 1
      os_upgrade: 2
      native: 3
    python:
      none: 0
      casiopython: 1
      native_os320: 2
      native: 2

  hardware:
    ram_storage:
      no: 0
    rom_storage:
      no: 0
      os_upgrade: 1500000

  devices:
    color_mode:
      mono: 0
      rgb565: 1
    serial_connection:
      no: 0
      jack_25: 1
    usb_connection:
      no: 0
      mini_usb_b: 1

units:
  packaging:
    weight: "g"
  hardware:
    default_cpu_frequency: "Hz"
    max_cpu_frequency: "Hz"
    ram_chip: "@fr{o}@en{B}"
    rom_chip: "@fr{o}@en{B}"
    ram_storage: "@fr{o}@en{B}"
    rom_storage: "@fr{o}@en{B}"
    sd_card: "@fr{o}@en{B}"

all_categories:
  - general
  - teaching
  - packaging
  - programming
  - hardware
  - devices
  - misc
  - links
  - manuals

all_fields:
  general:
    - full_name
    - international_name
    - year_launched
    - predecessor
    - successor
    - family
  teaching:
    - audience
    - exam_mode
    - math_input
    - pretty_print
    - matrices
    - complex_calculus
    - symbolic_calculus
    - cas
  packaging:
    - size
    - weight
    - power
    - power_runtime
  programming:
    - casio_basic
    - add_ins
    - add_ins_sdk
    - python
  hardware:
    - mpu
    - cpu
    - default_cpu_frequency
    - overclock_tools
    - max_cpu_frequency
    - ram_chip
    - rom_chip
    - ram_storage
    - rom_storage
    - sd_card
  devices:
    - display
    - backlit_display
    - color_mode
    - touch_screen
    - display_size_pixels
    - display_size_text
    - serial_connection
    - usb_connection
    - protocols
    - transfer_software
  misc:
    - price_range
    - last_os_version
  links:
    - casio_france
    - casio_international
  manuals:
    - software_french_fr
    - software_international_fr
    - software_international_en
    - hardware_french_fr
    - hardware_international_fr
    - hardware_international_en

all_calcs:
  - g25+pro
  - g25+e
  - g25+e2
  - g35+
  - g35+usb3
  - g35+usb4
  - g35+e
  - g35+e2
  - g75
  - g75+
  - g75+e
  - g85
  - g85sd
  - g95
  - cg20
  - g90+e
  - cp300
  - cp330
  - cp330+
  - cp400
  - cp400+e
